Cygport Reference Manual

### TABLE OF CONTENTS

- inherit
- inherited

## inherit

[ Top ] [ Syntax ] [ General Functions ]

SYNOPSIS

      inherit CYGCLASS [CYGCLASS] ...

DESCRIPTION

Imports the given Cygclass(es) (without the .cygclass suffix) into the build.

## inherited

[ Top ] [ Syntax ] [ General Functions ]

SYNOPSIS

      inherited CYGCLASS [CYGCLASS] ...

DESCRIPTION

Check whether the given Cygclass(es) (without the .cygclass suffix) have already been inherit()ed. Returns TRUE if all given Cygclasses have been inherit()ed, otherwise FALSE.